## elfutils 0.190

=== debian/changelog ===
elfutils (0.190-1.1ubuntu0.1) noble-security; urgency=medium

  * SECURITY UPDATE: out-of-bounds read
    - debian/patches/CVE-2024-25260.patch: Fix arm_machine_flag_name
      version string.
    - CVE-2024-25260
  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2025-1365.patch: Use validate_str also to check
      dynamic symstr data.
    - CVE-2025-1365
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1371.patch: Handle NULL phdr in
      handle_dynamic_symtab.
    - CVE-2025-1371
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1372.patch: Skip trying to uncompress
      sections without a name.
    - CVE-2025-1372
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1377.patch: Verify symbol table is a real
      symbol table.
    - CVE-2025-1377

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 17 Mar 2025 17:03:58 +0100

elfutils (0.190-1.1build4.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:51 +0200

elfutils (0.190-1.1build4) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 07:06:10 +0000

elfutils (0.190-1.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:56:22 +0000

elfutils (0.190-1.1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:51:29 +0000

elfutils (0.190-1.1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:20:39 +0000

elfutils (0.190-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 29 Feb 2024 00:13:08 +0000

elfutils (0.190-1) unstable; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Nov 2023 14:54:07 +0100

=== debian/control ===
Source: elfutils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Elfutils Maintainers <debian-gcc@lists.debian.org>
Uploaders: Kurt Roeckx <kurt@roeckx.be>,
  Matthias Klose <doko@debian.org>,
  Sergio Durigan Junior <sergiodj@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 11),
  autoconf, automake, lsb-release,
  bzip2, zlib1g-dev, zlib1g-dev:native, libbz2-dev, liblzma-dev,
  libzstd-dev, zstd <!nocheck>,
  m4, gettext, po-debconf,
  gawk, dpkg-dev (>= 1.16.1~),
  gcc-multilib [any-amd64 sparc64] <!nocheck>,
  libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64 riscv64],
  flex, bison,
  pkg-config,
  libarchive-dev <!pkg.elfutils.nodebuginfod>,
  libmicrohttpd-dev <!pkg.elfutils.nodebuginfod>, libcurl4-gnutls-dev <!pkg.elfutils.nodebuginfod>, libsqlite3-dev <!pkg.elfutils.nodebuginfod>,
Build-Conflicts: autoconf2.13
Standards-Version: 4.6.2
Section: libs
Homepage: https://sourceware.org/elfutils/
Vcs-Browser: https://salsa.debian.org/toolchain-team/elfutils
Vcs-Git: https://salsa.debian.org/toolchain-team/elfutils.git

Package: elfutils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1t64 (= ${binary:Version}), libdw1t64 (= ${binary:Version})
Description: collection of utilities to handle ELF objects
 Elfutils is a collection of utilities, including eu-ld (a linker),
 eu-nm (for listing symbols from object files), eu-size (for listing the
 section sizes of an object or archive file), eu-strip (for discarding
 symbols), eu-readelf (to see the raw ELF file structures), and eu-elflint
 (to check for well-formed ELF files).

Package: libelf1t64
Provides: ${t64:Provides}
Replaces: libelf1
Breaks: libelf1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to read and write ELF files
 The libelf1t64 package provides a shared library which allows reading and
 writing ELF files on a high level.  Third party programs depend on
 this package to read internals of ELF files.  The programs of the
 elfutils package use it also to generate new ELF files.
 .
 This library is part of elfutils.

Package: libelf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf1t64 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev, libzstd-dev
Conflicts: libelfg0-dev
Description: libelf1t64 development libraries and header files
 libelf1t64 provides a shared library which allows reading and writing of ELF
 files on a high level.
 .
 This package contains development libraries and header files for libelf1.

Package: libdw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf-dev, libdw1t64 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev, liblzma-dev
Description: libdw1t64 development libraries and header files
 libdw1t64 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This package contains development libraries and header files for libdw1.
 .
 It also contains a static version of libdw.  Only link to the static version
 for special cases and when you don't need anything from the ebl backends.

Package: libdw1t64
Provides: ${t64:Provides}
Replaces: libdw1
Breaks: libdw1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, libelf1t64 (= ${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library that provides access to the DWARF debug information
 libdw1t64 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This library is part of elfutils.

Package: libasm1t64
Provides: ${t64:Provides}
Replaces: libasm1
Breaks: libasm1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1t64 (= ${binary:Version}), libdw1t64 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: library with a programmable assembler interface
 The libasm1t64 package provides a library with a programmable assembler
 interface.  It allows you to create ELF files on a low level.
 .
 This library is part of elfutils.

Package: libasm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasm1t64 (= ${binary:Version}), libelf-dev, ${misc:Depends}
Conflicts: libelfsh0-dev, libasm0-dev
Description: libasm development libraries and header files
 libasm1t64 allows you to create ELF files on a low level.
 .
 This package contains development libraries and header files for libasm1.

Package: libdebuginfod1t64
Provides: ${t64:Provides}
Replaces: libdebuginfod1
Breaks: libdebuginfod1 (<< ${source:Version})
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1t64 (= ${binary:Version}), libdw1t64 (= ${binary:Version}),
  libdebuginfod-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: library to interact with debuginfod (development files)
 The libdebuginfo1 package provides a library with an interface to interact
 with debuginfod.
 .
 This library is part of elfutils.

Package: libdebuginfod-dev
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdebuginfod1t64 (= ${binary:Version}), ${misc:Depends}, libelf-dev,
Description: libdebuginfod development libraries and header files
 libasm1t64 allows you to interact with debuginfod.
 .
 This package contains development libraries and header files for
 libdebuginfod1.

Package: debuginfod
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: devel
Architecture: any
Depends: libdebuginfod1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: debuginfo-related http file-server daemon
 Server, client tool and library to index and fetch ELF/DWARF files
 addressed by build-id through HTTP.

Package: libdebuginfod-common
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ucf
Pre-Depends: ${misc:Pre-Depends}, debconf
Description: configuration to enable the Debian debug info server
 This package asks if it should enable use of the Debian debug info
 server with debugging tools that use libdebuginfo such as GDB.
 .
 When this is allowed by the sysadmin, a snippet will be added to the
 shell configuration. You will need to restart your shell after
 installing this package before the snippet will work.
 .
 The Debian debug info server will be contacted every time debugging
 tools attempt to look up debug info for binaries or libraries but the
 server does not log requests for debug info.
 .
 The Debian debug info server uses https to securely transfer debugging
 files but does not offer OpenPGP signing of debug info.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Copyright 2006, Kurt Roeckx <kurt@roeckx.be>

# Based on the sample file from dh-make:
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DISTRO = $(shell lsb_release -is)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
        confflags += --build=$(DEB_HOST_GNU_TYPE) --enable-maintainer-mode
else
        confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    USE_JOBS = -j$(NUMJOBS)
endif

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# https://sourceware.org/pipermail/elfutils-devel/2020q2/002733.html
ifneq (,$(findstring -flto, $(CFLAGS)))
  CFLAGS += -flto-partition=none -Wno-error=stack-usage=
  CXXFLAGS += -flto-partition=none
  LDFLAGS += -Wno-error=stack-usage=
endif
CFLAGS := $(patsubst -O%,-O3, $(CFLAGS))
CXXFLAGS := $(patsubst -O%,-O3, $(CXXFLAGS))

# debuginfod configuration flags.
ifneq (,$(filter pkg.elfutils.nodebuginfod,$(DEB_BUILD_PROFILES)))
  conf_debuginfod = \
	--disable-libdebuginfod \
	--disable-debuginfod
else
  conf_debuginfod = \
	--enable-libdebuginfod \
	--enable-debuginfod

  ifeq ($(DISTRO),Debian)
    conf_debuginfod += \
	--enable-debuginfod-urls="https://debuginfod.debian.net"
  else ifeq ($(DISTRO),Ubuntu)
    conf_debuginfod += \
	--enable-debuginfod-urls="https://debuginfod.ubuntu.com"
  endif
endif


stamps/configure:
	dh_testdir
	dh_autoreconf
	@mkdir -p stamps
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	./configure --enable-maintainer-mode \
		--enable-libdebuginfod=dummy \
		--disable-debuginfod
	$(MAKE) $(USE_JOBS)
	$(MAKE) clean
endif
	CFLAGS="$(CFLAGS)" CXXFLAGS="$(CXXFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" \
		./configure $(confflags) --prefix=/usr \
		--sysconfdir=/etc \
		--libdir=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--program-prefix=eu- --disable-silent-rules \
		$(conf_debuginfod)
	touch $@

build: stamps/build
stamps/build: stamps/configure
	dh_testdir

	$(MAKE) $(USE_JOBS)

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Check that those files exist.
	-ls -l /proc/$$$$/maps
	-ls -l /proc/$$$$/auxv
	-ls -l /proc/$$$$/
	-LC_CTYPE=C $(MAKE) check $(USE_JOBS) || { cat tests/test-suite.log; exit 1; }
	cat tests/test-suite.log
endif

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -rf stamps
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	# We do not provide a libebl anymore, use libdw instead.
	rm -f debian/tmp/usr/include/elfutils/libebl.h
	# We don't install the systemd service file.
	rm -f debian/tmp/usr/share/man/man8/debuginfod.service.8

	dh_install --sourcedir=debian/tmp
	rm -f debian/elfutils/usr/bin/debuginfod*
	dh_missing --fail-missing --sourcedir=debian/tmp

# Build architecture-independent files here.
build-indep: build
binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i

	dh_compress -i
	dh_fixperms -i
	dh_installdebconf -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# We have nothing to do.

# Build architecture-dependent files here.
build-arch: build
binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a ChangeLog

	: # FIXME: package those ...
#	find debian/tmp -name '*debuginfod*' | xargs -r rm -f
#	rm -f debian/tmp/usr/share/man/man1/eu-elfclassify.1
#	rm -f debian/tmp/usr/share/man/man1/eu-readelf.1
#	rm -f debian/tmp/usr/share/man/man3/elf_*.3

	dh_dwz -a
	dh_strip -a
	dh_strip_nondeterminism -a
	dh_compress -a
	dh_fixperms -a
	dpkg-gensymbols -Pdebian/libdw1t64/ -plibdw1t64 -c4
	dpkg-gensymbols -Pdebian/libasm1t64/ -plibasm1t64 -c4
	dpkg-gensymbols -Pdebian/libelf1t64/ -plibelf1t64 -c4
	dh_makeshlibs -plibelf1t64 -V "libelf1t64 (>= 0.132)"
	dh_makeshlibs -plibasm1t64 -V "libasm1t64 (>= 0.132)"
	dh_makeshlibs -plibdw1t64 -V "libdw1t64 (>= 0.138)"
	dh_makeshlibs -plibdebuginfod1t64
	dh_installdebconf -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

maint-unpatch:
	bash debian/unpatch.sh debian/patches

.PHONY: build clean binary-indep binary-arch binary install maint-unpatch

## elfutils 0.191

=== debian/changelog ===
elfutils (0.191-2ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: buffer overflow
    - debian/patches/CVE-2025-1365.patch: Use validate_str also to check
      dynamic symstr data.
    - CVE-2025-1365
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1371.patch: Handle NULL phdr in
      handle_dynamic_symtab.
    - CVE-2025-1371
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1372.patch: Skip trying to uncompress
      sections without a name.
    - CVE-2025-1372
  * SECURITY UPDATE: null pointer dereference
    - debian/patches/CVE-2025-1377.patch: Verify symbol table is a real
      symbol table.
    - CVE-2025-1377

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Mon, 17 Mar 2025 16:56:15 +0100

elfutils (0.191-2) unstable; urgency=medium

  * d/control: Recommends libarchive-tools. (Closes: #1063767)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 13 Jul 2024 00:30:43 -0400

elfutils (0.191-1) unstable; urgency=medium

  * New upstream version.
  * Add translations (it, sv). Closes: #1050108, #1049367.
  * Fix cross build failure (Helmut Grohne). Closes: #1057813.

 -- Matthias Klose <doko@debian.org>  Tue, 12 Mar 2024 11:42:59 +0100

=== debian/control ===
--- 
+++ 
@@ -155,6 +155,7 @@
 Section: devel
 Architecture: any
 Depends: libdebuginfod1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Recommends: libarchive-tools
 Description: debuginfo-related http file-server daemon
  Server, client tool and library to index and fetch ELF/DWARF files
  addressed by build-id through HTTP.

=== debian/rules ===
--- 
+++ 
@@ -68,6 +68,10 @@
 	dh_autoreconf
 	@mkdir -p stamps
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+	CFLAGS='$(CFLAGS_FOR_BUILD)' \
+	CPPFLAGS='$(CPPFLAGS_FOR_BUILD)' \
+	CXXFLAGS='$(CXXFLAGS_FOR_BUILD)' \
+	LDFLAGS='$(LDFLAGS_FOR_BUILD)' \
 	./configure --enable-maintainer-mode \
 		--enable-libdebuginfod=dummy \
 		--disable-debuginfod

## elfutils 0.192

=== debian/changelog ===
elfutils (0.192-4~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 06 Feb 2025 17:57:18 -0500

elfutils (0.192-4) unstable; urgency=medium

  * Drop again the build dependency libimaevm-dev.

 -- Matthias Klose <doko@debian.org>  Tue, 22 Oct 2024 13:13:50 +0200

elfutils (0.192-3) unstable; urgency=medium

  * Also build-depend on libjson-c-dev.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 17:21:03 +0200

elfutils (0.192-2) unstable; urgency=medium

  * Build-depend on libimaevm-dev.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 14:08:39 +0200

elfutils (0.192-1) unstable; urgency=medium

  * New upstream version.

  [ Sergio Durigan Junior ]
  * d/libdebuginfod-common.postrm: Correctly purge configuration in Debian.

  [ Matthias Klose ]
  * Drop the riscv-retval-workaround patch.
  * Don't package fish.
  * Update symbols files.
  * Refresh patches.

 -- Matthias Klose <doko@debian.org>  Mon, 21 Oct 2024 12:04:15 +0200

elfutils (0.191-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * Revert rename libraries for 64-bit time_t transition.
    Not needed for bookworm-backports.
  * d/gbp.conf: Set debian-branch to bookworm-backports

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sun, 23 Jun 2024 17:03:38 -0400

=== debian/control ===
Source: elfutils
Priority: optional
Maintainer: Debian Elfutils Maintainers <debian-gcc@lists.debian.org>
Uploaders: Kurt Roeckx <kurt@roeckx.be>,
  Matthias Klose <doko@debian.org>,
  Sergio Durigan Junior <sergiodj@debian.org>,
Build-Depends: debhelper (>= 11),
  autoconf, automake, lsb-release,
  bzip2, zlib1g-dev, zlib1g-dev:native, libbz2-dev, liblzma-dev,
  libzstd-dev, zstd <!nocheck>,
  m4, gettext, po-debconf,
  gawk, dpkg-dev (>= 1.16.1~),
  gcc-multilib [any-amd64 sparc64] <!nocheck>,
  libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64 riscv64],
  flex, bison,
  pkgconf,
  libarchive-dev <!pkg.elfutils.nodebuginfod>,
  libjson-c-dev <!pkg.elfutils.nodebuginfod>,
  libmicrohttpd-dev <!pkg.elfutils.nodebuginfod>,
  libcurl4-gnutls-dev <!pkg.elfutils.nodebuginfod>,
  libsqlite3-dev <!pkg.elfutils.nodebuginfod>,
Build-Conflicts: autoconf2.13
Standards-Version: 4.7.0
Section: libs
Homepage: https://sourceware.org/elfutils/
Vcs-Browser: https://salsa.debian.org/toolchain-team/elfutils
Vcs-Git: https://salsa.debian.org/toolchain-team/elfutils.git

Package: elfutils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version})
Description: collection of utilities to handle ELF objects
 Elfutils is a collection of utilities, including eu-ld (a linker),
 eu-nm (for listing symbols from object files), eu-size (for listing the
 section sizes of an object or archive file), eu-strip (for discarding
 symbols), eu-readelf (to see the raw ELF file structures), and eu-elflint
 (to check for well-formed ELF files).

Package: libelf1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to read and write ELF files
 The libelf1 package provides a shared library which allows reading and
 writing ELF files on a high level.  Third party programs depend on
 this package to read internals of ELF files.  The programs of the
 elfutils package use it also to generate new ELF files.
 .
 This library is part of elfutils.

Package: libelf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf1 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev, libzstd-dev
Conflicts: libelfg0-dev
Description: libelf1 development libraries and header files
 libelf1 provides a shared library which allows reading and writing of ELF
 files on a high level.
 .
 This package contains development libraries and header files for libelf1.

Package: libdw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf-dev, libdw1 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev, liblzma-dev
Description: libdw1 development libraries and header files
 libdw1 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This package contains development libraries and header files for libdw1.
 .
 It also contains a static version of libdw.  Only link to the static version
 for special cases and when you don't need anything from the ebl backends.

Package: libdw1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, libelf1 (= ${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library that provides access to the DWARF debug information
 libdw1 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This library is part of elfutils.

Package: libasm1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: library with a programmable assembler interface
 The libasm1 package provides a library with a programmable assembler
 interface.  It allows you to create ELF files on a low level.
 .
 This library is part of elfutils.

Package: libasm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasm1 (= ${binary:Version}), libelf-dev, ${misc:Depends}
Conflicts: libelfsh0-dev, libasm0-dev
Description: libasm development libraries and header files
 libasm1 allows you to create ELF files on a low level.
 .
 This package contains development libraries and header files for libasm1.

Package: libdebuginfod1
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1 (= ${binary:Version}), libdw1 (= ${binary:Version}),
  libdebuginfod-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: library to interact with debuginfod (development files)
 The libdebuginfo1 package provides a library with an interface to interact
 with debuginfod.
 .
 This library is part of elfutils.

Package: libdebuginfod-dev
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdebuginfod1 (= ${binary:Version}), ${misc:Depends}, libelf-dev,
Description: libdebuginfod development libraries and header files
 libasm1 allows you to interact with debuginfod.
 .
 This package contains development libraries and header files for
 libdebuginfod1.

Package: debuginfod
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: devel
Architecture: any
Depends: libdebuginfod1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libarchive-tools
Description: debuginfo-related http file-server daemon
 Server, client tool and library to index and fetch ELF/DWARF files
 addressed by build-id through HTTP.

Package: libdebuginfod-common
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ucf
Pre-Depends: ${misc:Pre-Depends}, debconf
Description: configuration to enable the Debian debug info server
 This package asks if it should enable use of the Debian debug info
 server with debugging tools that use libdebuginfo such as GDB.
 .
 When this is allowed by the sysadmin, a snippet will be added to the
 shell configuration. You will need to restart your shell after
 installing this package before the snippet will work.
 .
 The Debian debug info server will be contacted every time debugging
 tools attempt to look up debug info for binaries or libraries but the
 server does not log requests for debug info.
 .
 The Debian debug info server uses https to securely transfer debugging
 files but does not offer OpenPGP signing of debug info.

=== debian/rules ===
--- 
+++ 
@@ -117,12 +117,17 @@
 	dh_prep
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp
+	: # Add here commands to install the package into debian/tmp
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	# We do not provide a libebl anymore, use libdw instead.
+
+	: # We do not provide a libebl anymore, use libdw instead.
 	rm -f debian/tmp/usr/include/elfutils/libebl.h
-	# We don't install the systemd service file.
+
+	: # We don't install the systemd service file.
 	rm -f debian/tmp/usr/share/man/man8/debuginfod.service.8
+
+	: # Don't package fish.
+	rm -rf debian/tmp/usr/share/fish
 
 	dh_install --sourcedir=debian/tmp
 	rm -f debian/elfutils/usr/bin/debuginfod*
@@ -165,13 +170,13 @@
 	dh_strip_nondeterminism -a
 	dh_compress -a
 	dh_fixperms -a
-	dpkg-gensymbols -Pdebian/libdw1t64/ -plibdw1t64 -c4
-	dpkg-gensymbols -Pdebian/libasm1t64/ -plibasm1t64 -c4
-	dpkg-gensymbols -Pdebian/libelf1t64/ -plibelf1t64 -c4
-	dh_makeshlibs -plibelf1t64 -V "libelf1t64 (>= 0.132)"
-	dh_makeshlibs -plibasm1t64 -V "libasm1t64 (>= 0.132)"
-	dh_makeshlibs -plibdw1t64 -V "libdw1t64 (>= 0.138)"
-	dh_makeshlibs -plibdebuginfod1t64
+	dpkg-gensymbols -Pdebian/libdw1/ -plibdw1 -c4
+	dpkg-gensymbols -Pdebian/libasm1/ -plibasm1 -c4
+	dpkg-gensymbols -Pdebian/libelf1/ -plibelf1 -c4
+	dh_makeshlibs -plibelf1 -V "libelf1 (>= 0.132)"
+	dh_makeshlibs -plibasm1 -V "libasm1 (>= 0.132)"
+	dh_makeshlibs -plibdw1 -V "libdw1 (>= 0.138)"
+	dh_makeshlibs -plibdebuginfod1
 	dh_installdebconf -a
 	dh_installdeb -a
 	dh_shlibdeps -a

## elfutils 0.193

=== debian/changelog ===
elfutils (0.193-3) unstable; urgency=medium

  * Fix FTBFS for missing asm/perf_regs.h (John David Anglin).
    Closes: #1114536.
  * Don't build-depend on gcc-multilib on hurd-amd64.

 -- Matthias Klose <doko@debian.org>  Sun, 07 Sep 2025 10:59:45 +0200

elfutils (0.193-2) unstable; urgency=medium

  * Bump debhelper version.

 -- Matthias Klose <doko@debian.org>  Thu, 04 Sep 2025 21:09:30 +0200

elfutils (0.193-1) experimental; urgency=medium

  * New upstream version.

  [ Sergio Durigan Junior ]
  * d/libdebuginfod-common.templates: Default to using debuginfod.
    GDB has its own mechanism for detecting whether DEBUGINFOD_URLS is set
    and asking the user if they want to use it.  I don't believe we need
    to default to not using our debuginfod service anymore.

  [ Matthias Klose ]
  * Install usr/include/elfutils/libdwfl_stacktrace.h in libdw-dev.
  * Bump standards version.
  * Update libdw symbols file.

 -- Matthias Klose <doko@debian.org>  Fri, 02 May 2025 13:03:38 +0200

=== debian/rules ===
--- 
+++ 
@@ -170,13 +170,13 @@
 	dh_strip_nondeterminism -a
 	dh_compress -a
 	dh_fixperms -a
-	dpkg-gensymbols -Pdebian/libdw1/ -plibdw1 -c4
-	dpkg-gensymbols -Pdebian/libasm1/ -plibasm1 -c4
-	dpkg-gensymbols -Pdebian/libelf1/ -plibelf1 -c4
-	dh_makeshlibs -plibelf1 -V "libelf1 (>= 0.132)"
-	dh_makeshlibs -plibasm1 -V "libasm1 (>= 0.132)"
-	dh_makeshlibs -plibdw1 -V "libdw1 (>= 0.138)"
-	dh_makeshlibs -plibdebuginfod1
+	dpkg-gensymbols -Pdebian/libdw1t64/ -plibdw1t64 -c4
+	dpkg-gensymbols -Pdebian/libasm1t64/ -plibasm1t64 -c4
+	dpkg-gensymbols -Pdebian/libelf1t64/ -plibelf1t64 -c4
+	dh_makeshlibs -plibelf1t64 -V "libelf1t64 (>= 0.132)"
+	dh_makeshlibs -plibasm1t64 -V "libasm1t64 (>= 0.132)"
+	dh_makeshlibs -plibdw1t64 -V "libdw1t64 (>= 0.138)"
+	dh_makeshlibs -plibdebuginfod1t64
 	dh_installdebconf -a
 	dh_installdeb -a
 	dh_shlibdeps -a

=== debian/watch ===
# Watch control file for uscan
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

opts=pgpsigurlmangle=s/$/.sig/ https://sourceware.org/elfutils/ftp/(\d.\d*)/elfutils-(.*).tar.bz2

## elfutils 0.194

=== Makefile ===
# Copyright (c) Meta Platforms, Inc. and affiliates.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

prefix = /usr/local
N = 10
BINARIES := $(patsubst %,compressme%,$(shell seq 1 $(N)))

all: $(BINARIES)

compressme%:: compressme.c
	gcc -g -O2 -DX=$* compressme.c -o $@

install: all
	install -D -t $(DESTDIR)/$(prefix)/bin $(BINARIES)

clean:
	rm -f $(BINARIES)

.PHONY: all install clean

=== debian/changelog ===
elfutils (0.194-1) unstable; urgency=medium

  * New upstream version.
  * Update symbols files.
  * Fix some lintian warnings.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Oct 2025 06:57:58 +0100

=== debian/control ===
Source: elfutils
Priority: optional
Maintainer: Debian Elfutils Maintainers <debian-gcc@lists.debian.org>
Uploaders: Kurt Roeckx <kurt@roeckx.be>,
  Matthias Klose <doko@debian.org>,
  Sergio Durigan Junior <sergiodj@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
  autoconf, automake, lsb-release,
  bzip2, zlib1g-dev, zlib1g-dev:native, libbz2-dev, liblzma-dev,
  libzstd-dev, zstd <!nocheck>,
  m4, gettext, po-debconf,
  gawk, dpkg-dev (>= 1.16.1~),
  gcc-multilib [amd64 sparc64] <!nocheck>,
  libc6-dbg [powerpc powerpcspe ppc64 ppc64el armel armhf arm64 sparc64 riscv64],
  flex, bison,
  pkgconf,
  libarchive-dev <!pkg.elfutils.nodebuginfod>,
  libjson-c-dev <!pkg.elfutils.nodebuginfod>,
  libmicrohttpd-dev <!pkg.elfutils.nodebuginfod>,
  libcurl4-gnutls-dev <!pkg.elfutils.nodebuginfod>,
  libsqlite3-dev <!pkg.elfutils.nodebuginfod>,
Build-Conflicts: autoconf2.13
Standards-Version: 4.7.2
Section: libs
Homepage: https://sourceware.org/elfutils/
Vcs-Browser: https://salsa.debian.org/toolchain-team/elfutils
Vcs-Git: https://salsa.debian.org/toolchain-team/elfutils.git

Package: elfutils
Section: utils
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1t64 (= ${binary:Version}), libdw1t64 (= ${binary:Version})
Description: collection of utilities to handle ELF objects
 Elfutils is a collection of utilities, including eu-ld (a linker),
 eu-nm (for listing symbols from object files), eu-size (for listing the
 section sizes of an object or archive file), eu-strip (for discarding
 symbols), eu-readelf (to see the raw ELF file structures), and eu-elflint
 (to check for well-formed ELF files).

Package: libelf1t64
Provides: ${t64:Provides}
Replaces: libelf1
Breaks: libelf1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library to read and write ELF files
 The libelf1t64 package provides a shared library which allows reading and
 writing ELF files on a high level.  Third party programs depend on
 this package to read internals of ELF files.  The programs of the
 elfutils package use it also to generate new ELF files.
 .
 This library is part of elfutils.

Package: libelf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf1t64 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev, libzstd-dev
Conflicts: libelfg0-dev
Description: libelf1t64 development libraries and header files
 libelf1t64 provides a shared library which allows reading and writing of ELF
 files on a high level.
 .
 This package contains development libraries and header files for libelf1.

Package: libdw-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libelf-dev, libdw1t64 (= ${binary:Version}), ${misc:Depends},
  zlib1g-dev, liblzma-dev
Description: libdw1t64 development libraries and header files
 libdw1t64 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This package contains development libraries and header files for libdw1.
 .
 It also contains a static version of libdw.  Only link to the static version
 for special cases and when you don't need anything from the ebl backends.

Package: libdw1t64
Provides: ${t64:Provides}
Replaces: libdw1
Breaks: libdw1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, libelf1t64 (= ${binary:Version}), ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library that provides access to the DWARF debug information
 libdw1t64 provides a library that provides access to DWARF debug information
 stored inside ELF files.
 .
 This library is part of elfutils.

Package: libasm1t64
Provides: ${t64:Provides}
Replaces: libasm1
Breaks: libasm1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1t64 (= ${binary:Version}), libdw1t64 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: library with a programmable assembler interface
 The libasm1t64 package provides a library with a programmable assembler
 interface.  It allows you to create ELF files on a low level.
 .
 This library is part of elfutils.

Package: libasm-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libasm1t64 (= ${binary:Version}), libelf-dev, ${misc:Depends}
Conflicts: libelfsh0-dev, libasm0-dev
Description: libasm development libraries and header files
 libasm1t64 allows you to create ELF files on a low level.
 .
 This package contains development libraries and header files for libasm1.

Package: libdebuginfod1t64
Provides: ${t64:Provides}
Replaces: libdebuginfod1
Breaks: libdebuginfod1 (<< ${source:Version})
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
  libelf1t64 (= ${binary:Version}), libdw1t64 (= ${binary:Version}),
  libdebuginfod-common (>= ${source:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: library to interact with debuginfod (development files)
 The libdebuginfo1 package provides a library with an interface to interact
 with debuginfod.
 .
 This library is part of elfutils.

Package: libdebuginfod-dev
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libdebuginfod1t64 (= ${binary:Version}), ${misc:Depends}, libelf-dev,
Description: libdebuginfod development libraries and header files
 libasm1t64 allows you to interact with debuginfod.
 .
 This package contains development libraries and header files for
 libdebuginfod1.

Package: debuginfod
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: devel
Architecture: any
Depends: libdebuginfod1t64 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: libarchive-tools
Description: debuginfo-related http file-server daemon
 Server, client tool and library to index and fetch ELF/DWARF files
 addressed by build-id through HTTP.

Package: libdebuginfod-common
Build-Profiles: <!pkg.elfutils.nodebuginfod>
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ucf
Pre-Depends: ${misc:Pre-Depends}, debconf
Description: configuration to enable the Debian debug info server
 This package asks if it should enable use of the Debian debug info
 server with debugging tools that use libdebuginfo such as GDB.
 .
 When this is allowed by the sysadmin, a snippet will be added to the
 shell configuration. You will need to restart your shell after
 installing this package before the snippet will work.
 .
 The Debian debug info server will be contacted every time debugging
 tools attempt to look up debug info for binaries or libraries but the
 server does not log requests for debug info.
 .
 The Debian debug info server uses https to securely transfer debugging
 files but does not offer OpenPGP signing of debug info.

=== debian/rules ===
--- 
+++ 
@@ -157,7 +157,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs -a ChangeLog
-	dh_installdocs -a ChangeLog
+	dh_installdocs -a
 
 	: # FIXME: package those ...
 #	find debian/tmp -name '*debuginfod*' | xargs -r rm -f

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://sourceware.org/elfutils/ftp/(\d.\d*)/elfutils-(.*).tar.bz2
